petsc-3.6.2 2015-10-02
Report Typos and Errors

# SETERRQ7

Macro that is called when an error has been detected,

### Synopsis

    #include <petscsys.h>
    PetscErrorCode SETERRQ7(MPI_Comm comm,PetscErrorCode errorcode,char *formatmessage,arg1,arg2,arg3)

Not Collective

### Input Parameters

| comm | - A communicator, so that the error can be collective
| errorcode | - nonzero error code, see the list of standard error codes in include/petscerror.h
| message | - error message in the printf format
| arg1 | - argument (for example an integer, string or double)
| arg2 | - argument (for example an integer, string or double)
| arg3 | - argument (for example an integer, string or double)
| arg4 | - argument (for example an integer, string or double)
| arg5 | - argument (for example an integer, string or double)
| arg6 | - argument (for example an integer, string or double)
| arg7 | - argument (for example an integer, string or double)

### Notes

Once the error handler is called the calling function is then returned from with the given error code.

There are also versions for 4, 5, 6 and 7 arguments.

Experienced users can set the error handler with PetscPushErrorHandler().

### See Also

PetscTraceBackErrorHandler(), PetscPushErrorHandler(), PetscError(), CHKERRQ(), CHKMEMQ, SETERRQ1(), SETERRQ2()

Level:beginner
Location:src/sys/error/../../../include/petscerror.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages